    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Frame

    java.lang.Object
       |
       +----java.awt.Component
               |
               +----java.awt.Container
                       |
                       +----java.awt.Window
                               |
                               +----java.awt.Frame

public class Frame
extends Window
implements MenuContainer

A Frame is a top-level window with a title and a border. The default layout for a frame is BorderLayout. Frames are capable of generating the following types of window events: WindowOpened, WindowClosing, WindowClosed, WindowIconified, WindowDeiconified, WindowActivated, WindowDeactivated.

See Also:
  WindowEvent, addWindowListener

##

CROSSHAIR_CURSOR
DEFAULT_CURSOR
E_RESIZE_CURSOR
HAND_CURSOR
MOVE_CURSOR
N_RESIZE_CURSOR
NE_RESIZE_CURSOR
NW_RESIZE_CURSOR
S_RESIZE_CURSOR
SE_RESIZE_CURSOR
SW_RESIZE_CURSOR
TEXT_CURSOR
W_RESIZE_CURSOR
WAIT_CURSOR

##

Frame()
  Constructs a new instance of `Frame` that is initially invisible.
Frame(String)
  Constructs a new, initially invisible `Frame` object with the specified title.

##

addNotify()
  Creates the Frame's peer.
dispose()
  Disposes of the Frame.
getCursorType()
  Deprecated.
getIconImage()
  Gets the icon image for this frame.
getMenuBar()
  Gets the menu bar for this frame.
getTitle()
  Gets the title of the frame.
isResizable()
  Indicates whether this frame is resizable.
paramString()
  Returns the parameter String of this Frame.
remove(MenuComponent)
  Removes the specified menu bar from this frame.
setCursor(int)
  Deprecated.
setIconImage(Image)
  Sets the image to display when this frame is iconized.
setMenuBar(MenuBar)
  Sets the menu bar for this frame to the specified menu bar.
setResizable(boolean)
  Sets the resizable flag, which determines whether this frame is resizable.
setTitle(String)
  Sets the title for this frame to the specified title.

##

DEFAULT_CURSOR

     public static final int DEFAULT_CURSOR

CROSSHAIR_CURSOR

     public static final int CROSSHAIR_CURSOR

TEXT_CURSOR

     public static final int TEXT_CURSOR

WAIT_CURSOR

     public static final int WAIT_CURSOR

SW_RESIZE_CURSOR

     public static final int SW_RESIZE_CURSOR

SE_RESIZE_CURSOR

     public static final int SE_RESIZE_CURSOR

NW_RESIZE_CURSOR

     public static final int NW_RESIZE_CURSOR

NE_RESIZE_CURSOR

     public static final int NE_RESIZE_CURSOR

N_RESIZE_CURSOR

     public static final int N_RESIZE_CURSOR

S_RESIZE_CURSOR

     public static final int S_RESIZE_CURSOR

W_RESIZE_CURSOR

     public static final int W_RESIZE_CURSOR

E_RESIZE_CURSOR

     public static final int E_RESIZE_CURSOR

HAND_CURSOR

     public static final int HAND_CURSOR

MOVE_CURSOR

     public static final int MOVE_CURSOR

##

Frame

     public Frame()

  Constructs a new instance of `Frame` that is initially invisible.

  See Also:
    setSize, setVisible

Frame

     public Frame(String title)

  Constructs a new, initially invisible `Frame` object with the specified title.

  Parameters:
    title - the title for the frame
  See Also:
    setSize, setVisible

##

addNotify

     public void addNotify()

  Creates the Frame's peer. The peer allows us to change the look of the Frame without changing its functionality.

  Overrides:
    addNotify in class Window

getTitle

     public String getTitle()

  Gets the title of the frame.

  Returns:
    the title of this frame, or `null` if this frame doesn't have a title.
  See Also:
    setTitle

setTitle

     public synchronized void setTitle(String title)

  Sets the title for this frame to the specified title.

  Parameters:
    title - the specified title of this frame.
  See Also:
    getTitle

getIconImage

     public Image getIconImage()

  Gets the icon image for this frame.

  Returns:
    the icon image for this frame, or `null` if this frame doesn't have an icon image.
  See Also:
    setIconImage

setIconImage

     public synchronized void setIconImage(Image image)

  Sets the image to display when this frame is iconized. Not all platforms support the concept of iconizing a window.

  Parameters:
    image - the icon image to be displayed
  See Also:
    getIconImage

getMenuBar

     public MenuBar getMenuBar()

  Gets the menu bar for this frame.

  Returns:
    the menu bar for this frame, or `null` if this frame doesn't have a menu bar.
  See Also:
    setMenuBar

setMenuBar

     public void setMenuBar(MenuBar mb)

  Sets the menu bar for this frame to the specified menu bar.

  Parameters:
    mb - the menu bar being set
  See Also:
    getMenuBar

isResizable

     public boolean isResizable()

  Indicates whether this frame is resizable. By default, all frames are initially resizable.

  Returns:
    `true` if the user can resize this frame; `false` otherwise.
  See Also:
    setResizable

setResizable

     public synchronized void setResizable(boolean resizable)

  Sets the resizable flag, which determines whether this frame is resizable. By default, all frames are initially resizable.

  Parameters:
    resizable - `true` if this frame is resizable; `false` otherwise.
  See Also:
    isResizable

remove

     public void remove(MenuComponent m)

  Removes the specified menu bar from this frame.

  Parameters:
    m - the menu component to remove.
  Overrides:
    remove in class Component

dispose

     public void dispose()

  Disposes of the Frame. This method must be called to release the resources that are used for the frame. All components contained by the frame and all windows owned by the frame will also be destroyed.

  Overrides:
    dispose in class Window

paramString

     protected String paramString()

  Returns the parameter String of this Frame.

  Overrides:
    paramString in class Container

setCursor

     public synchronized void setCursor(int cursorType)

  Note: setCursor() is deprecated. As of JDK version 1.1, replaced by `Component.setCursor(Cursor)`.

getCursorType

     public int getCursorType()

  Note: getCursorType() is deprecated. As of JDK version 1.1, replaced by `Component.getCursor()`.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.